Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class Carpenter

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.shading.ChannelMapNode
                  de.grogra.imp3d.shading.ColorMapNode
                      de.grogra.imp3d.shading.SurfaceMap
                          de.grogra.imp3d.shading.SyntheticTexture
                              de.grogra.imp3d.shading.Carpenter

All Implemented Interfaces:
  Icon, IconSource, ChannelMap, ColorMap, Manageable, PersistenceCapable, Shareable, RenderedIcon, UserFields, XObject, Map, java.io.Serializable

    public class Carpenter

extends SyntheticTexture

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `color$FIELD`
`static Node.NType.Field` | `noise$FIELD`
`static Node.NType.Field` | `roughness$FIELD`
`static Node.NType.Field` | `seed$FIELD`

Fields inherited from class de.grogra.imp3d.shading.SyntheticTexture
`height$FIELD, width$FIELD`

Fields inherited from class de.grogra.imp3d.shading.ChannelMapNode
`AMBIENT, COLOR, COLOR_2, DIFFUSE_TRANSPARENCY, DISPLACEMENT, EMISSIVE, FIRST_OP, INPUT, input$FIELD, MIN_UNUSED_SPECIAL_OF_TARGET, SECOND_OP, SHININESS, SPECULAR, TRANSPARENCY, TRANSPARENCY_SHININESS`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, name$FIELD, USED_BITS`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Carpenter()`

Method Summary
`void` | `accept(ChannelMapNodeVisitor visitor)`
`protected void` | `calculateImageData()`
`float` | `getColor()`
`float` | `getNoise()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`float` | `getRoughness()`
`long` | `getSeed()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setColor(float value)`
`void` | `setNoise(float value)`
`void` | `setRoughness(float value)`
`void` | `setSeed(long value)`

Methods inherited from class de.grogra.imp3d.shading.SyntheticTexture
`createImage, getAverageColor, getFloatData, getFloatValueImpl, getHeight, getPixel, getWidth, setHeight, setPixel, setWidth`

Methods inherited from class de.grogra.imp3d.shading.SurfaceMap
`getDu, getDv, getFloatValue, renderLine`

Methods inherited from class de.grogra.imp3d.shading.ColorMapNode
`drawImage, getIcon, getIconBounds, getIconSource, getImage, getImage, getImageSource, getInputData, getPreferredIconSize, getRenderedImage, getSizeRatio, isMutable, paintIcon, prepareIcon, renderImage`

Methods inherited from class de.grogra.imp3d.shading.ChannelMapNode
`accept, getInput, getObjectValue, setInput`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.math.ChannelMap
`accept, getObjectValue, getStamp`

Methods inherited from interface de.grogra.pf.ui.RenderedIcon
`getStamp`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### color$FIELD

    public static final Node.NType.Field color$FIELD

### noise$FIELD

    public static final Node.NType.Field noise$FIELD

### roughness$FIELD

    public static final Node.NType.Field roughness$FIELD

### seed$FIELD

    public static final Node.NType.Field seed$FIELD

Constructor Detail

### Carpenter

    public Carpenter()

Method Detail

### accept

    public void accept(ChannelMapNodeVisitor visitor)

  Overrides:
    `accept` in class `ChannelMapNode`

### calculateImageData

    protected void calculateImageData()

  Specified by:
    `calculateImageData` in class `SyntheticTexture`

### getColor

    public float getColor()

### getNoise

    public float getNoise()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Node`
  Returns:
    type describing the managed fields of the class of this node

### getRoughness

    public float getRoughness()

### getSeed

    public long getSeed()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Node`
  Returns:
    new instance of class of this node

### setColor

    public void setColor(float value)

### setNoise

    public void setNoise(float value)

### setRoughness

    public void setRoughness(float value)

### setSeed

    public void setSeed(long value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD